---
lang: en
title: 'API docs: context.getbindingmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.getbindingmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [getBindingMetadata](./context.getbindingmetadata.md)

## getBindingMetadata() function

Get binding metadata for a class

**Signature:**

```typescript
export declare function getBindingMetadata<T = unknown>(target: Function): BindingMetadata<T> | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | Function | The target class |

**Returns:**

[BindingMetadata](./context.bindingmetadata.md)<!-- -->&lt;T&gt; \| undefined


